Bug 1007468 - man sssd-sudo: improve description of necessary configuration
Summary: man sssd-sudo: improve description of necessary configuration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-12 14:36 UTC by Dmitri Pal
Modified: 2020-05-02 17:28 UTC (History)
6 users (show)

Fixed In Version: sssd-1.11.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:43:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3127 None None None 2020-05-02 17:28:35 UTC

Description Dmitri Pal 2013-09-12 14:36:48 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2085

Change

{{{
When the SSSD is configured to use the IPA provider
}}}

to

{{{
When the SSSD is configured to use the IPA as the ID provider
}}}

since id provider is the one we inherit as sudo provider.

We should also say that sudo has to be put in "services". There is a sample configuration that shows that, but it is not mentioned explicitly.

We should mention that nisdomain has to be configured when using netgroups/hostgroups.

Comment 1 Jakub Hrozek 2013-09-20 18:37:13 UTC
Fixed upstream.

Comment 3 Jakub Hrozek 2013-10-04 13:25:26 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 5 Amith 2013-12-18 12:14:08 UTC
Verified the bug on SSSD Version : sssd-1.11.2-10.el7.x86_64

The sssd-sudo man page has been updated with the following information:

1.
Note: in order to use netgroups or IPA hostgroups in sudo rules, you also need to correctly set nisdomainname(1) to your NIS domain name (which equals to IPA domain name when using hostgroups).

2.
CONFIGURING SSSD TO FETCH SUDO RULES
       All configuration that is needed on SSSD side is to extend the list of services with "sudo" in [sssd] section of sssd.conf(5). To speed up the LDAP lookups, you can also set search base for sudo rules using ldap_sudo_search_base option.

       The following example shows how to configure SSSD to download sudo rules from an LDAP server.

           [sssd]
           config_file_version = 2
           services = nss, pam, sudo
           domains = EXAMPLE

           [domain/EXAMPLE]
           id_provider = ldap
           sudo_provider = ldap
           ldap_uri = ldap://example.com
           ldap_sudo_search_base = ou=sudoers,dc=example,dc=com

       When the SSSD is configured to use IPA as the ID provider, the sudo provider is automatically enabled. The sudo search base is configured to use the compat tree (ou=sudoers,$DC).

Comment 6 Ludek Smid 2014-06-13 12:43:15 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.